aboutsummaryrefslogtreecommitdiff
path: root/core/libressl/files/update-certdata.sh
diff options
context:
space:
mode:
Diffstat (limited to 'core/libressl/files/update-certdata.sh')
-rwxr-xr-xcore/libressl/files/update-certdata.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/core/libressl/files/update-certdata.sh b/core/libressl/files/update-certdata.sh
new file mode 100755
index 00000000..611f944d
--- /dev/null
+++ b/core/libressl/files/update-certdata.sh
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+#
+# update-certdata.sh
+
+[ -w "$CPT_ROOT/etc/ssl" ] || {
+ printf '%s\n' "${0##*/}: root required to update CA certificates." >&2
+ exit 1
+}
+
+cd "$CPT_ROOT/etc/ssl" && {
+ wget https://curl.haxx.se/ca/cacert.pem
+ mv -f cacert.pem cert.pem
+ printf '%s\n' "${0##*/}: updated cert.pem"
+}